Atribu
API Reference

Quickstart

Get started with the Atribu API in under 2 minutes

Get your API key

  1. Log in to Atribu
  2. Go to Settings > Developer
  3. Click Create API Key
  4. Select your scopes and copy the key

Save your key

The key starts with atb_live_ and is shown only once. Store it somewhere secure.

Make your first request

Request
curl -H "Authorization: Bearer atb_live_YOUR_KEY_HERE" \
  "https://www.atribu.app/api/v1/overview?date_from=2026-03-01&date_to=2026-03-25"
Request
const response = await fetch(
  "https://www.atribu.app/api/v1/overview?date_from=2026-03-01&date_to=2026-03-25",
  {
    headers: {
      Authorization: "Bearer atb_live_YOUR_KEY_HERE",
    },
  }
);
const data = await response.json();
Request
import requests

resp = requests.get(
    "https://www.atribu.app/api/v1/overview",
    headers={"Authorization": "Bearer atb_live_YOUR_KEY_HERE"},
    params={"date_from": "2026-03-01", "date_to": "2026-03-25"},
)
data = resp.json()

Example response

Success response (200 OK)
{
  "data": {
    "current": {
      "spend": 4250.00,
      "revenue": 12800.00,
      "roas": 3.01,
      "outcomes": 145,
      "attributed_outcomes": 132,
      "coverage_percent": 91.03,
      "visitors": 8420,
      "pageviews": 24100,
      "bounce_rate": 42.5,
      "avg_engaged_seconds": 185,
      "cash_revenue": 12800.00,
      "cash_payments": 48
    },
    "previous": { "..." : "..." }
  },
  "meta": {
    "date_from": "2026-03-01",
    "date_to": "2026-03-25",
    "profile_id": "your-profile-id"
  }
}

Next steps

On this page